<template>
  <section id="homepage">
    <div class="container-fluid">
      <div class="row">
        <div
          class="col my-4"
          v-if="notes.length"
        >
          <note
            v-for="(note) in notes"
            :key="note.id"
            :note="note"
            @delete-confirm="onDeleteConfirm(note)"
          ></note>
        </div>
        <div
          v-else
          class="col my-4"
        >
          <div
            class="alert alert-secondary"
            role="alert"
          >
            Заметок нет, нажмите на кнопку "добавить заметку"
          </div>
        </div>
      </div>
    </div>
  <confirm-modal ref="confirm" />
  </section>
</template>

<script>
import { mapGetters } from "vuex";
import Note from "../components/Note";
import ConfirmModal from '../components/ConfirmModal';
export default {
  components: { Note, ConfirmModal },
  computed: {
    ...mapGetters(["getNotesWithTodos"]),
    notes() {
      return Object.values(this.getNotesWithTodos);
    },
    
  },
  methods: {
    onDeleteConfirm(note) {
      this.$refs.confirm.open('Вы уверены что хотите удалить заметку?', note).done((note) => {
        this.$store.commit('DELETE_NOTE', note.id);
      }).fail(() => {
       
      })
    }
  }
};
</script>
